EDIT - bug #7930

Remove DOI from journals, print series and person communications
11/28/2018 01:02 PM - Andreas Muller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Talking with WHK about DOIs we decided that journals and print series do not have DOls. Therefore these should be removed from
the according interfaces.

Also IPersonalCommunication should not have a DOI.

Related issues:

Related to EDIT - task #7918: Revision of reference type specific properties Closed
Related to EDIT - bug #7913: Remove authorship from IJournal and IPrintSeries Closed
Related to EDIT - bug #7915: Remove date published from journals and print se... Closed
Related to EDIT - feature request #7982: [Rule] Validate correct usage of ref... New

Associated revisions

Revision 8bda418b - 11/28/2018 01:29 PM - Andreas Miiller

fix #7930 removed getDoi from IPublicationBase and lArticle and use IWithDoi instead (but not for journals, print series and personel
communications)

Revision 89ea7aed - 11/28/2018 01:39 PM - Andreas Miiller
ref #7930 remove IWithDoi from |AuthoredPublicationBase

Revision b3f2ffb6 - 12/03/2018 02:14 PM - Katja Luther

ref #7930: remove doi for journal, print series and personal communications in taxeditor

History

#1 - 11/28/2018 01:03 PM - Andreas Miiller
- Related to task #7918: Revision of reference type specific properties added

#2 - 11/28/2018 01:04 PM - Andreas Miiller
- Related to bug #7913: Remove authorship from IJournal and IPrintSeries added

#3 - 11/28/2018 01:04 PM - Andreas Miiller
- Related to bug #7915: Remove date published from journals and print series added

#4 - 11/28/2018 01:30 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|8bda418b4eea02e8a41111630a811719ab4ecc2f.

#5 - 11/28/2018 01:32 PM - Andreas Miiller
- Description updated

- Assignee changed from Andreas Muiller to Katja Luther

Please review and implement accordingly in TaxEditor (remove DOI from these 3 reference types if not yet done).
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/8bda418b4eea02e8a41111630a811719ab4ecc2f

#7 - 11/28/2018 03:06 PM - Andreas Miiller

- Subject changed from Remove DOI from journals and print series to Remove DOI from journals, print series and person communications

#8 - 12/03/2018 02:16 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller
for these three reference types the doi is removed. please review.

#9 - 01/14/2019 10:48 AM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100
Works as expected.

#10 - 01/14/2019 11:27 AM - Andreas Miiller

- Related to feature request #7982: [Rule] Validate correct usage of reference attributes for reference types. added
